Getting Started Guides

Get Started: Create a Business Customer Account

Create a new Customer Account for a Business Customer. This account is used to store the Customer’s profile information, such as their business name, address, and contact information.

Note  You can also create a Customer Account for an Individual Customer.

In this guide, you’ll learn how to:

  1. Gather the required information for the Customer.
  2. Create a Customer Account.
  3. Retrieve the Customer Account.

Before You Start

Sandbox Account: Sign up for a RocketKOR sandbox account. When your sandbox account is created, one or more Service Accounts will be created for your Business Account. A Service Account is a non-human user of a Business Account that performs functions (such as creating transactions) via the RocketKOR APIs on behalf of the Business Account.

Authentication: Before you can call the APIs, you must authenticate a Service Account by exchanging the account’s API key and secret for an access token.

Step 1: Gather the Required Customer Information

Ensure you have the following details for the Customer. You’ll need this information to create a Customer Account in the next step.

  • Business name
  • Primary contact for the business (first name, last name, phone number, and email address)

Step 2: Create a Customer Account

Create a Customer Account. At a minimum, the request must include the following information. You can also include additional details such as the Customer’s address, website, and transaction limits for the Customer’s Financial Accounts.

Parameter

Description

type

Type of Customer. Value must be BUSINESS.

businessName 

Name of the business.

contacts

A primary contact for the business is required.

Includes firstName, lastName, primary (set to true), primaryPhoneNumber.number, primaryPhoneNumber.type, and primaryEmail.value.

API Reference

Endpoint

POST /v1/customers

Request Example

				
					{
  "type": "BUSINESS",
  "businessName": "ACME",
  "contacts": [
    {
      "firstName": "Jack",
      "lastName": "Smith",
      "primary": true,
      "primaryPhoneNumber": {
        "number": "+14151234",
        "type": "WORK"
      },
      "primaryEmail": {
        "value": "jsmith@acme.com"
      }
    }
  ]
}
				
			

Response Example

Returns the Business Customer object.

Make a note of the Customer Account id. You’ll need this ID in the next step when you retrieve the Customer Account.

				
					{
  "id": "e4021849-0e09-43ef-b9a7-18124356f489",
  "status": "ACTIVE",
  "type": "BUSINESS",
  "businessName": "ACME",
  "contacts": [
    {
      "firstName": "Jack",
      "lastName": "Smith",
      "primary": true,
      "primaryPhoneNumber": {
        "number": "+14151234",
        "type": "WORK"
      },
      "primaryEmail": {
        "value": "jsmith@acme.com"
      }
    }
  ],
  ...
}
				
			

Step 3: Retrieve the Customer Account

Retrieve the Customer Account you created in the previous step.

API Reference

Endpoint

GET /v1/customers/{customerId}

In the request, pass the Customer Account id from step 2 to the customerId parameter.

Response Example

Returns the Business Customer object.

				
					{
  "id": "e4021849-0e09-43ef-b9a7-18124356f489",
  "status": "ACTIVE",
  "type": "BUSINESS",
  "businessName": "ACME",
  "contacts": [
    {
      "firstName": "Jack",
      "lastName": "Smith",
      "primary": true,
      "primaryPhoneNumber": {
        "number": "+14151234",
        "type": "WORK"
      },
      "primaryEmail": {
        "value": "jsmith@acme.com"
      }
    }
  ],
  ...
}
				
			

Next Steps

ON THIS PAGE